export default Group;
declare class Group extends ThreeGroup {
    setTransform(transform: any): void;
    setScale(scale: any): void;
    setColor(colors: any): void;
    applyQuaternion(quaternion: import("three").Quaternion): Group;
    rotateOnAxis(axis: import("three").Vector3, angle: number): Group;
    rotateOnWorldAxis(axis: import("three").Vector3, angle: number): Group;
    rotateX(angle: number): Group;
    rotateY(angle: number): Group;
    rotateZ(angle: number): Group;
    translateOnAxis(axis: import("three").Vector3, distance: number): Group;
    translateX(distance: number): Group;
    translateY(distance: number): Group;
    translateZ(distance: number): Group;
    add(...object: import("three").Object3D[]): Group;
    remove(...object: import("three").Object3D[]): Group;
    attach(object: import("three").Object3D): Group;
    clone(recursive?: boolean | undefined): Group;
    copy(source: Group, recursive?: boolean | undefined): Group;
}
import { Group as ThreeGroup } from "three/src/objects/Group";
